List counties for a state
Retrieve a list of counties for a given state.
Path Parameters
Valid US State and Territory codes.
This enum contains all valid two-letter codes for US states and territories. Used for parameter validation in API requests.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/regions/states/AL/counties"{
"results": [
{
"slug": "string",
"name": "string",
"fips_code": "string",
"supported_webhook_events": [
"string"
]
}
]
}{
"error": {
"code": 400,
"message": "Bad Request",
"long_message": "Invalid person ID format: 'sdf'. Person ID must start with 'P' followed by exactly 10 alphanumeric characters. Example: 'PABcd12345e' or 'P1234567890'.",
"meta": null
},
"wp_trace_id": "3b0b537a60d84057817bb40563ca5c99"
}{
"message": "Forbidden"
}{
"error": {
"code": 404,
"message": "Not Found",
"long_message": "Person id not found: PABcd12345e",
"meta": null
},
"wp_trace_id": "0c57473114bd49b3b3c4b585df624f2f"
}{
"error": {
"code": 422,
"message": "Unprocessable Entity",
"long_message": "The request contains semantic errors and cannot be processed",
"meta": null
},
"wp_trace_id": "7e5f2c9a1d8b4e6f9c0a3b5d7e1f2a4c"
}{
"message": "Too Many Requests",
"error": "usage_cap_exceeded",
"error_instance_id": "1b9d6bcd-bbfd-4b2d-9b5d-ab8dfbbd4bed",
"limit": 1000,
"used": 1000,
"reset_at": "2026-09-01T00:00:00+00:00",
"upgrade_url": "https://www.whitepages.com/billing/manage-plan/pro-api"
}{
"error": {
"code": 500,
"message": "Internal Server Error",
"long_message": "An internal server error occurred",
"meta": null
},
"wp_trace_id": "9c1a4e7f2b8d4c6a9e0f3b5d7c1a2e4f"
}Related
List all US states and territories
Retrieve a list of all US states and territories.
Regions
Browse and search US states and counties available in the Whitepages Pro API
Search deed events
Search historical deed events by region, date range, and property identifier.
Authentication
Learn how to authenticate your requests to the Whitepages Pro API.
List all US states and territories GET
Retrieve a list of all US states and territories.
Retrieve usage data for a specific time range GET
Retrieve API usage data for a specified date range. Returns daily usage statistics including request counts for each day within the specified time period. The response includes both individual daily usage data and total usage for the entire period. - The request count is total number of requests made including 2xx, 4xx and 5xx responses. It is not the same as billable requests which is not available right now as part of API. - Maximum date range allowed: 90 days - Dates are in UTC format - Current day data when requested will be updated during the day - Usage data is updated approximately every 30 minutes - Usage data is returned only from the first date of actual usage in the specified duration